cURL
curl --request GET \
--url https://test.deribit.com/api/v2/public/test \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 8212,
"method": "public/test",
"params": {}
}
'import requests
url = "https://test.deribit.com/api/v2/public/test"
payload = {
"jsonrpc": "2.0",
"id": 8212,
"method": "public/test",
"params": {}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({jsonrpc: '2.0', id: 8212, method: 'public/test', params: {}})
};
fetch('https://test.deribit.com/api/v2/public/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 8212,
"result": {
"version": "1.2.26"
}
}Supporting
public/test
Tests the connection to the API server, and returns its version. You can use this to make sure the API is reachable, and matches the expected version.
cURL
Query Parameters
The value "exception" will trigger an error response. This may be useful for testing wrapper libraries.
Available options:
exception Was this page helpful?
⌘I